Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## lbg.peer.register.learning.db.meta
Enum InteractionAttributes

    java.lang.Object
      java.lang.Enum<InteractionAttributes>
          lbg.peer.register.learning.db.meta.InteractionAttributes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InteractionAttributes>

    public enum InteractionAttributes

extends java.lang.Enum<InteractionAttributes>

Author:
  Cyril Briquet

Enum Constant Summary
`A_CONSUMPTION_SUCCESS_RATIO` Ratio of Consumption Tasks completed to accepted by target Peer.
`A_FAVORS_BALANCE` Favors balance of target Peer.
`A_RECENTLY_CANCELLED_CONSUMPTION_TASKS` Recent Consumption Tasks cancelled by target Peer.
`A_RECENTLY_CANCELLED_SUPPLYING_TASKS` Recent Supplying Tasks cancelled for target Peer.
`A_RECENTLY_COMPLETED_CONSUMPTION_TASKS` Total Consumption Tasks completed by target Peer.
`A_RECENTLY_COMPLETED_SUPPLYING_TASKS` Recent Supplying Tasks completed for target Peer.
`A_SUPPLYING_SUCCESS_RATIO` Ratio of Supplying Tasks completed to accepted for target Peer.
`A_TASK_CANCELLATIONS_COUNT` Task cancellations count.
`A_TOTAL_CANCELLED_CONSUMPTION_TASKS` Total Consumption Tasks completed by target Peer.
`A_TOTAL_CANCELLED_SUPPLYING_TASKS` Total Supplying Tasks cancelled for target Peer.
`A_TOTAL_COMPLETED_CONSUMPTION_TASKS` Total Consumption Tasks completed by target Peer.
`A_TOTAL_COMPLETED_SUPPLYING_TASKS` Total Supplying Tasks completed for target Peer.
`A_TOTAL_CONSUMED_FAVORS` Total favors consumed from target Peer.
`A_TOTAL_SUPPLIED_FAVORS` Total favors supplied to target Peer.

Method Summary
`static int` | `size()` Counts the number of interaction attributes.
`abstract double` | `val(Task t, PeerBarteringProfile peer_bp)` Returns the value of interaction attribute for target Task and Peer.
`static InteractionAttributes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InteractionAttributes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### A_FAVORS_BALANCE

    public static final InteractionAttributes A_FAVORS_BALANCE

  Favors balance of target Peer.

### A_TOTAL_CONSUMED_FAVORS

    public static final InteractionAttributes A_TOTAL_CONSUMED_FAVORS

  Total favors consumed from target Peer.

### A_TOTAL_SUPPLIED_FAVORS

    public static final InteractionAttributes A_TOTAL_SUPPLIED_FAVORS

  Total favors supplied to target Peer.

### A_TOTAL_COMPLETED_CONSUMPTION_TASKS

    public static final InteractionAttributes A_TOTAL_COMPLETED_CONSUMPTION_TASKS

  Total Consumption Tasks completed by target Peer.

### A_TOTAL_COMPLETED_SUPPLYING_TASKS

    public static final InteractionAttributes A_TOTAL_COMPLETED_SUPPLYING_TASKS

  Total Supplying Tasks completed for target Peer.

### A_TOTAL_CANCELLED_CONSUMPTION_TASKS

    public static final InteractionAttributes A_TOTAL_CANCELLED_CONSUMPTION_TASKS

  Total Consumption Tasks completed by target Peer.

### A_TOTAL_CANCELLED_SUPPLYING_TASKS

    public static final InteractionAttributes A_TOTAL_CANCELLED_SUPPLYING_TASKS

  Total Supplying Tasks cancelled for target Peer.

### A_RECENTLY_COMPLETED_CONSUMPTION_TASKS

    public static final InteractionAttributes A_RECENTLY_COMPLETED_CONSUMPTION_TASKS

  Total Consumption Tasks completed by target Peer.

### A_RECENTLY_COMPLETED_SUPPLYING_TASKS

    public static final InteractionAttributes A_RECENTLY_COMPLETED_SUPPLYING_TASKS

  Recent Supplying Tasks completed for target Peer.

### A_RECENTLY_CANCELLED_CONSUMPTION_TASKS

    public static final InteractionAttributes A_RECENTLY_CANCELLED_CONSUMPTION_TASKS

  Recent Consumption Tasks cancelled by target Peer.

### A_RECENTLY_CANCELLED_SUPPLYING_TASKS

    public static final InteractionAttributes A_RECENTLY_CANCELLED_SUPPLYING_TASKS

  Recent Supplying Tasks cancelled for target Peer.

### A_CONSUMPTION_SUCCESS_RATIO

    public static final InteractionAttributes A_CONSUMPTION_SUCCESS_RATIO

  Ratio of Consumption Tasks completed to accepted by target Peer.

### A_SUPPLYING_SUCCESS_RATIO

    public static final InteractionAttributes A_SUPPLYING_SUCCESS_RATIO

  Ratio of Supplying Tasks completed to accepted for target Peer.

### A_TASK_CANCELLATIONS_COUNT

    public static final InteractionAttributes A_TASK_CANCELLATIONS_COUNT

  Task cancellations count.

Method Detail

### values

    public static final InteractionAttributes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InteractionAttributes c : InteractionAttributes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InteractionAttributes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### val

    public abstract double val(Task t,
                               PeerBarteringProfile peer_bp)
                        throws GridException

  Returns the value of interaction attribute for target Task and Peer.

  Parameters:
    `t` - target Task
    `peer_bp` - targer Peer
  Throws:
    `GridException` - if a parameter is illegal

### size

    public static int size()

  Counts the number of interaction attributes.

  Returns:
    number of interaction attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.